function [Yphi,Xphi]=datmanip_cond_on_phi(ENDO,D,Phi,var_order)

% Computes datamatrices conditional on a given Phi, i.e. datamatrices for
% the trend adjusted data x_{t}-Phi*d_{t}.
Z=ENDO-D*Phi';
T=size(ENDO,1);
Xphi=[];
for i=1:var_order
    Xphi=[Xphi lag(Z,i)];
end
Xphi=Xphi(var_order+1:T,:);
Yphi=Z(var_order+1:T,:);
